S3TC Texturen Unreal / UT99 classic unter OS 9.2.2 installieren (OpenGL?)

GForce

Mitglied
Thread Starter
Dabei seit
17.08.2003
Beiträge
837
Punkte Reaktionen
1
Hallo Macuser,

ich habe heute aus den USA eine org. Unreal 1 CD von MacSoft erhalten :)

Vor ein paar Tagen habe ich mit die S3TC texturen (low end) bei oldunreal heruntergeladen und heute in den Textures-Ordner kopiert.

Leider nicht mit dem gewünschten Erfolg - die Texturen werden falsch skaliert, alles sieht recht seltsam aus.
Dann habe ich dank google herausgefunden, dass man in der unreal.ini 4 Zeilen anpasen muss, damit OpenGl und S3TC aktiviert wird
und die Sache läuft.

[Engine.Engine]
GameRenderDevice=OpenGLDrv.OpenGLRenderDevice
...
WindowedRenderDevice=OpenGLDrv.OpenGLRenderDevice
RenderDevice=OpenGLDrv.OpenGLRenderDevice

und

[OpenGLDrv.OpenGLRenderDevice]
UseS3TC=True

Unter OS 9.2.2 habe ich OpenGl (glaube 1.21) installiert, die letzten ATI-Retail-Treiber ebenfalls.

Unreal verwendet jedoch "Rave" als Renderer.

Ich habe dann die Zeilen so abgeändert, dass OpenGLRender.Device gesetzt ist (s.o.)
Leider meckert Unreal beim starten schon, dass es OpenGl...Device nicht finden kann.

Eine Lösung scheint ein OpenGl Patch zu sein, der aber wohl nur für x86 Maschinen laufen wird:

http://www.celticwarriors.net/Website/S3TC/Old/OpenGLInstallation/OpenGL.htm

Frage: Wieso findet Unreal kein OpenGL... ist doch im System installiert?
Hat jemand eine Möglichkeit gefunden, die S3TC Texturen zu verwenden?
(evt. Spiel über 10.4.11 unter classic starten)
 
Zuletzt bearbeitet:

Bolle

Aktives Mitglied
Dabei seit
09.06.2007
Beiträge
3.091
Punkte Reaktionen
338
Gabs für OpenGL nicht ein extra Programm? Da musste denke ich auch erst irgendwas gepatcht werden. Ich bin der Meinung ich hatte drei verschiedene Unreal Apps damals... eins für Rave, eins für Glide und eins für OpenGL.
 

GForce

Mitglied
Thread Starter
Dabei seit
17.08.2003
Beiträge
837
Punkte Reaktionen
1
Hmm, gute Frage ;)

Ich hab mal die .ini gelöscht, dann fragt er mich, ob ich 3DFx Glide oder Rave nehmen möchte. Wobei 3dfxglide nicht anwählbar ist. Ich habe eine 3dfxglide.lib2.x oder so mal geladen - aber wenn ich diese in die Systemerweiterungen verschiebe und bei DeusEx oder MythIII dann 3dfx auswähle, stürzen die Spiele immer ab... keine Ahnung, ob da noch etwas konfiguriert werden muss?

habe es hier her: http://sourceforge.net/projects/macglide/

Aber das hat nix mit OpenGl zu tun, oder?

Das habe ich hier her: http://support.apple.com/kb/DL1109?viewlocale=en_US
oder es war schon bei 9.2.2 mit dabei, bin nicht sicher.

Für Unreal selbst habe ich nur zwei offizielle patches gefunden: 224b1 und 224b7 (beide sind installiert)

Unter Classic in 10.4.11 habe ich es auch mal probiert - kommen aber genau die gleichen Fehlermeldungen, wenn ich OpenGLDrv in der .ini setze...
 

GForce

Mitglied
Thread Starter
Dabei seit
17.08.2003
Beiträge
837
Punkte Reaktionen
1
Also, mein System unterstützt schon OpenGL - nur die Unreal Mac Version, auch mit patch eben nicht. Bei Unreal Tournament sieht die Sache wohl anders aus, habe ich aber noch nicht getestet.
 

Drzeissler

Aktives Mitglied
Dabei seit
09.01.2009
Beiträge
3.058
Punkte Reaktionen
391
Die brauchst doch auch eine Grafikkarte die S3TC kann. Welche hast Du denn verbaut?
 
Oben Unten